View Issue Details

IDProjectCategoryView StatusLast Update
15147Bug reports[All Projects] Import/Exportpublic2019-10-08 10:32
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.18.0 
Summary15147: Some survey send notice about array to string conversion
Description
    <p class="message">
        Array to string conversion  </p>

    &lt;div class=&quot;source&quot;>
        &lt;p class=&quot;file&quot;>/var/www/master/application/helpers/export_helper.php(2609)</p>
Steps To Reproduce

Import included lss
set debug ar 2
Export as TSV
Open in Calc look at bottom

Additional Information

Seems there are empty array for some attributes.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.9 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Activities

DenisChenu

DenisChenu

2019-08-08 22:30

developer  

limesurvey_survey_924389.tsv (100,412 bytes)
limesurvey_survey_checkBrokenTSV.lss (572,153 bytes)
dominikvitt

dominikvitt

2019-10-04 18:24

developer   ~53901

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=29179

dominikvitt

dominikvitt

2019-10-04 18:25

developer   ~53902

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.

lime_release_bot

lime_release_bot

2019-10-08 10:32

administrator   ~53940

Fixed in Release 3.19.0+191008

Related Changesets

LimeSurvey: master 27e20016

2019-10-04 18:23:36

Dominik Vitt


Committer: dominikvitt Details Diff
Fixed issue 15147: PHP notice message when exporting survey as TSV Affected Issues
15147
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-08-08 22:30 DenisChenu New Issue
2019-08-08 22:30 DenisChenu Status new => assigned
2019-08-08 22:30 DenisChenu Assigned To => dominikvitt
2019-08-08 22:30 DenisChenu File Added: Capture d’écran du 2019-08-08 22-27-09.png
2019-08-08 22:30 DenisChenu File Added: limesurvey_survey_924389.tsv
2019-08-08 22:30 DenisChenu File Added: limesurvey_survey_checkBrokenTSV.lss
2019-10-04 18:24 dominikvitt Changeset attached => LimeSurvey master 27e20016
2019-10-04 18:24 dominikvitt Note Added: 53901
2019-10-04 18:24 dominikvitt Resolution open => fixed
2019-10-04 18:25 dominikvitt Status assigned => resolved
2019-10-04 18:25 dominikvitt Fixed in Version => 3.18.0
2019-10-04 18:25 dominikvitt Note Added: 53902
2019-10-08 10:32 lime_release_bot Note Added: 53940
2019-10-08 10:32 lime_release_bot Status resolved => closed